XmLPixmapDraw(3X)

NAME
XmLPixmapDraw - draws a pixmap clipped and aligned in a widget

SYNTAX
void XmLPixmapDraw(widget, pixmap, pixmask, pixmapWidth, pixmapHeight, alignment, gc, rect, clipRect)
Widget widget;
Pixmap pixmap;
Pixmap pixmask;
int pixmapWidth;
int pixmapHeight;
unsigned char alignment;
GC gc;
XRectangle *rect;
XRectangle *clipRect;

ARGUMENTS

widget
    drawing destination widget

pixmap
    pixmap to draw

pixmask
    pixmap mask for drawing

pixmapWidth
    width of pixmap in pixels

pixmapHeight
    height of pixmap in pixels

alignment
    alignment

gc  graphics context for drawing

rect
    source rectangle

clipRect
    destination/clipping rectangle

DESCRIPTION
Draws a pixmap of width pixmapWidth and height pixmapHeight using the GC gc in the window of the widget given. The pixmask parameter must be either set to XmUNSPECIFIED_PIXMAP or a Pixmap of depth one. If a Pixmap is specified, it is used as a mask to restrict the area drawn. The rect parameter indicates the rectangle used to determine alignment. The clipRect rectangle parameter given indicates the rectangle used to clip the drawing. Alignment must be one of the following: XmALIGNMENT_TOP_LEFT, XmALIGNMENT_TOP, XmALIGNMENT_TOP_RIGHT, XmALIGNMENT_LEFT, XmALIGNMENT_CENTER, XmALIGNMENT_RIGHT, XmALIGNMENT_BOTTOM_LEFT, XmALIGNMENT_BOTTOM or XmALIGNMENT_BOTTOM_RIGHT

SEE ALSO
XmLStringDraw(3X)